[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[PATCH] Add basic xrandr support for lenny and newer



---
 scripts/live-bottom/21xvidemode |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

diff --git a/scripts/live-bottom/21xvidemode b/scripts/live-bottom/21xvidemode
index ead3a6c..3996eea 100755
--- a/scripts/live-bottom/21xvidemode
+++ b/scripts/live-bottom/21xvidemode
@@ -32,14 +32,26 @@ fi
 
 . /scripts/live-functions
 
+[ -n "$XVIDEOMODE" ] || exit
+
 log_begin_msg "Configuring X video modes"
 
 # live-initramfs script
 
 . /live.vars
 
-if [ -n "$XVIDEOMODE" ]
+if test $(cat /root/etc/debian_version | sed 's/\..*$//') -ge 4 # lenny or newer
 then
+
+cat > /root/etc/X11/Xsession.d/21xvidemode << EOF
+# live-initramfs X session startup script: /etc/X11/Xsession.d/21xvidemode
+if test -x $(which xrandr 2>/dev/null)
+	then xrandr ${XVIDEOMODE:+"-s"} ${XVIDEOMODE} || /bin/true
+fi
+EOF
+
+else # etch or older
+
 	mount -o bind /sys /root/sys
 	mount -o bind /proc /root/proc
 	mount -o bind /dev /root/dev
-- 
1.5.6.5


Reply to: